gmtst(1)

NAME
gmtst - compute statistics on mappings

SYNOPSIS
gmtst [options] [gfile] [tfile] [mfile] [lfile]

DESCRIPTION
The gmtst program computes, in a sequential way, statistics on a static mapping, such as load imbalance ratio, edge dilation distribution, etc. It yields the same results as the ones produced by the -vm option of the gmap(1) program.

Source graph file gfile can only be a centralized graph file. File tfile represents the target architecture onto which gfile was mapped. If mapping file mfile was produced by gpart(1), the target architecture file to provide gmtst should describe a complete graph with the same number of vertices as the requested number of parts, for instance by means of the 'cmplt num' algorithmically-described architecture. The resulting statistics are stored in file lfile. When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, gtst can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma', on input only).

OPTIONS

-h  Display some help.

-V  Display program version and copyright.

EXAMPLES
Display statistics on mapping brol.map of graph brol.grf onto target architecture brol.tgt:

    $ gmtst brol.grf brol.tgt brol.map
Display statistics on partitioning brol.map of graph brol.grf into num parts. Note the use of the complete graph algorithmically-described architecture and of the shell pipe command to provide the complete target architecture description on the standard input of the gmtst command:

    $ echo "cmplt num" | gmtst brol.grf - brol.map

SEE ALSO
gmap(1), gout(1), gtst(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>